org.springframework.web.servlet.tags

## Class EvalTag

- java.lang.Object
- - javax.servlet.jsp.tagext.TagSupport
  - - org.springframework.web.servlet.tags.RequestContextAwareTag
    - - org.springframework.web.servlet.tags.HtmlEscapingAwareTag
      - - org.springframework.web.servlet.tags.EvalTag

All Implemented Interfaces:
  Serializable, IterationTag, JspTag, Tag, TryCatchFinally

    public class EvalTag
    extends HtmlEscapingAwareTag

JSP tag for evaluating expressions with the Spring Expression Language (SpEL). Supports the standard JSP evaluation context consisting of implicit variables and scoped attributes.

Since:
  3.0.1
Author:
  Keith Donald, Juergen Hoeller
See Also:
  Serialized Form

### Field Summary

### Fields inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`logger, REQUEST_CONTEXT_PAGE_ATTRIBUTE`

### Fields inherited from class javax.servlet.jsp.tagext.TagSupport

`id, pageContext`

### Fields inherited from interface javax.servlet.jsp.tagext.IterationTag

`EVAL_BODY_AGAIN`

### Fields inherited from interface javax.servlet.jsp.tagext.Tag

`EVAL_BODY_INCLUDE, EVAL_PAGE, SKIP_BODY, SKIP_PAGE`

### Constructor Summary

Constructors
Constructor and Description
`EvalTag()`

### Method Summary

Methods
`int` `doEndTag()`
`int` `doStartTagInternal()` Called by doStartTag to perform the actual work.
`void` `setExpression(String expression)` Set the expression to evaluate.
`void` `setJavaScriptEscape(String javaScriptEscape)` Set JavaScript escaping for this tag, as boolean value.
`void` `setScope(String scope)` Set the scope to export the evaluation result to.
`void` `setVar(String var)` Set the variable name to expose the evaluation result under.

### Methods inherited from class org.springframework.web.servlet.tags.HtmlEscapingAwareTag

`isDefaultHtmlEscape, isHtmlEscape, setHtmlEscape`

### Methods inherited from class org.springframework.web.servlet.tags.RequestContextAwareTag

`doCatch, doFinally, doStartTag, getRequestContext`

### Methods inherited from class javax.servlet.jsp.tagext.TagSupport

`doAfterBody, findAncestorWithClass, getId, getParent, getValue, getValues, release, removeValue, setId, setPageContext, setParent, setValue`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EvalTag

    public EvalTag()

### Method Detail

#### setExpression

    public void setExpression(String expression)

Set the expression to evaluate.

#### setVar

    public void setVar(String var)

Set the variable name to expose the evaluation result under. Defaults to rendering the result to the current JspWriter.

#### setScope

    public void setScope(String scope)

Set the scope to export the evaluation result to. This attribute has no meaning unless var is also defined.

#### setJavaScriptEscape

    public void setJavaScriptEscape(String javaScriptEscape)
                             throws JspException

Set JavaScript escaping for this tag, as boolean value. Default is "false".

Throws:
  `JspException`

#### doStartTagInternal

    public int doStartTagInternal()
                           throws JspException

Description copied from class: `RequestContextAwareTag`
Called by doStartTag to perform the actual work.

Specified by:
  `doStartTagInternal` in class `RequestContextAwareTag`
Returns:
  same as TagSupport.doStartTag
Throws:
  `JspException`
See Also:
  `TagSupport.doStartTag()`

#### doEndTag

    public int doEndTag()
                 throws JspException

Specified by:
  `doEndTag` in interface `Tag`
Overrides:
  `doEndTag` in class `TagSupport`
Throws:
  `JspException`